diff --git a/Changelog.md b/Changelog.md
index 8a934dd..9b70cc9 100644
--- a/Changelog.md
+++ b/Changelog.md
@@ -5,6 +5,8 @@
 ### Added
  - Added a class to the search term highlighting to aid theming (#92)
  - Check for pages with various uppercased letter combinations for matching pages (#87)
+ - Support hashes in internal links (#96)
+ - Support hashes on redirect pages (#96)
 
 ## Changed
  - Made the background of tags slightly lighter (#91)
diff --git a/build/index.php b/build/index.php
index bf85570..36f8a77 100755
--- a/build/index.php
+++ b/build/index.php
@@ -2076,7 +2076,7 @@ register_module([
 
 register_module([
 	"name" => "Search",
-	"version" => "0.2.1",
+	"version" => "0.3.2",
 	"author" => "Starbeamrainbowlabs",
 	"description" => "Adds proper search functionality to Pepperminty Wiki using an inverted index to provide a full text search engine. If pages don't show up, then you might have hit a stop word. If not, try requesting the `invindex-rebuild` action to rebuild the inverted index from scratch.",
 	"id" => "feature-search",
@@ -4353,7 +4353,7 @@ register_module([
 
 register_module([
 	"name" => "Page mover",
-	"version" => "0.9",
+	"version" => "0.9.1",
 	"author" => "Starbeamrainbowlabs",
 	"description" => "Adds an action to allow administrators to move pages.",
 	"id" => "page-move",
@@ -4574,7 +4574,7 @@ register_module([
 
 register_module([
 	"name" => "Page viewer",
-	"version" => "0.14",
+	"version" => "0.15",
 	"author" => "Starbeamrainbowlabs",
 	"description" => "Allows you to view pages. You really should include this one.",
 	"id" => "page-view",
@@ -4759,7 +4759,7 @@ register_module([
 
 register_module([
 	"name" => "Parsedown",
-	"version" => "0.8",
+	"version" => "0.9.3",
 	"author" => "Emanuil Rusev & Starbeamrainbowlabs",
 	"description" => "An upgraded (now default!) parser based on Emanuil Rusev's Parsedown Extra PHP library (https://github.com/erusev/parsedown-extra), which is licensed MIT. Please be careful, as this module adds some weight to your installation, and also *requires* write access to the disk on first load.",
 	"id" => "parser-parsedown",
diff --git a/module_index.json b/module_index.json
index 85775e6..8f7f3a8 100755
--- a/module_index.json
+++ b/module_index.json
@@ -64,11 +64,11 @@
     },
     {
         "name": "Search",
-        "version": "0.2.1",
+        "version": "0.3.2",
         "author": "Starbeamrainbowlabs",
         "description": "Adds proper search functionality to Pepperminty Wiki using an inverted index to provide a full text search engine. If pages don't show up, then you might have hit a stop word. If not, try requesting the `invindex-rebuild` action to rebuild the inverted index from scratch.",
         "id": "feature-search",
-        "lastupdate": 1471610893,
+        "lastupdate": 1471632781,
         "optional": false
     },
     {
@@ -163,11 +163,11 @@
     },
     {
         "name": "Page mover",
-        "version": "0.9",
+        "version": "0.9.1",
         "author": "Starbeamrainbowlabs",
         "description": "Adds an action to allow administrators to move pages.",
         "id": "page-move",
-        "lastupdate": 1471631964,
+        "lastupdate": 1471632807,
         "optional": false
     },
     {
@@ -181,11 +181,11 @@
     },
     {
         "name": "Page viewer",
-        "version": "0.14",
+        "version": "0.15",
         "author": "Starbeamrainbowlabs",
         "description": "Allows you to view pages. You really should include this one.",
         "id": "page-view",
-        "lastupdate": 1471632495,
+        "lastupdate": 1471632699,
         "optional": false
     },
     {
@@ -199,11 +199,11 @@
     },
     {
         "name": "Parsedown",
-        "version": "0.8",
+        "version": "0.9.3",
         "author": "Emanuil Rusev & Starbeamrainbowlabs",
         "description": "An upgraded (now default!) parser based on Emanuil Rusev's Parsedown Extra PHP library (https:\/\/github.com\/erusev\/parsedown-extra), which is licensed MIT. Please be careful, as this module adds some weight to your installation, and also *requires* write access to the disk on first load.",
         "id": "parser-parsedown",
-        "lastupdate": 1471631572,
+        "lastupdate": 1471632761,
         "optional": false
     }
 ]
\ No newline at end of file
diff --git a/modules/feature-search.php b/modules/feature-search.php
index c18907a..2d9c139 100644
--- a/modules/feature-search.php
+++ b/modules/feature-search.php
@@ -1,7 +1,7 @@
 <?php
 register_module([
 	"name" => "Search",
-	"version" => "0.2.1",
+	"version" => "0.3.2",
 	"author" => "Starbeamrainbowlabs",
 	"description" => "Adds proper search functionality to Pepperminty Wiki using an inverted index to provide a full text search engine. If pages don't show up, then you might have hit a stop word. If not, try requesting the `invindex-rebuild` action to rebuild the inverted index from scratch.",
 	"id" => "feature-search",
diff --git a/modules/page-move.php b/modules/page-move.php
index 4461d70..92d9aa3 100644
--- a/modules/page-move.php
+++ b/modules/page-move.php
@@ -1,7 +1,7 @@
 <?php
 register_module([
 	"name" => "Page mover",
-	"version" => "0.9",
+	"version" => "0.9.1",
 	"author" => "Starbeamrainbowlabs",
 	"description" => "Adds an action to allow administrators to move pages.",
 	"id" => "page-move",
diff --git a/modules/page-view.php b/modules/page-view.php
index 206440d..a16a7ea 100644
--- a/modules/page-view.php
+++ b/modules/page-view.php
@@ -1,7 +1,7 @@
 <?php
 register_module([
 	"name" => "Page viewer",
-	"version" => "0.14",
+	"version" => "0.15",
 	"author" => "Starbeamrainbowlabs",
 	"description" => "Allows you to view pages. You really should include this one.",
 	"id" => "page-view",
diff --git a/modules/parser-parsedown.php b/modules/parser-parsedown.php
index dbdbab8..c9e38ad 100644
--- a/modules/parser-parsedown.php
+++ b/modules/parser-parsedown.php
@@ -1,7 +1,7 @@
 <?php
 register_module([
 	"name" => "Parsedown",
-	"version" => "0.8",
+	"version" => "0.9.3",
 	"author" => "Emanuil Rusev & Starbeamrainbowlabs",
 	"description" => "An upgraded (now default!) parser based on Emanuil Rusev's Parsedown Extra PHP library (https://github.com/erusev/parsedown-extra), which is licensed MIT. Please be careful, as this module adds some weight to your installation, and also *requires* write access to the disk on first load.",
 	"id" => "parser-parsedown",
